Media
List project media assets
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthcursor?stringLength
1 <= length <= 1024limit?integerRange
1 <= value <= 100view?stringValue in
"library""trash"search?stringLength
length <= 255sort?stringValue in
"newest""oldest""name_asc""name_desc""largest""smallest"family?stringValue in
"all""image""video""audio""document"date?stringValue in
"all""last_24_hours""last_7_days""last_30_days"Response for status 200
application/json- response
media*array<>restorableAssetIds*array<>nextCursor*|nulltotal*integerRange
0 <= valuetrashCount*integerRange
0 <= valueretentionMs*integerRange
0 <= valuecurl -X GET 'https://postbot.example/api/projects/string/media'Example Response
{
"media": [
{
"asset": {
"id": "string",
"projectId": "string",
"originalFilename": "string",
"defaultAccessibilityText": "string",
"state": "reserved",
"archivedAt": 0,
"deletionRequestedAt": 0,
"deletedAt": 0,
"failureCode": "string",
"failureMessage": "string",
"createdByActorId": "string",
"createdAt": 0,
"updatedAt": 0
},
"representations": [
{
"id": "string",
"projectId": "string",
"assetId": "string",
"kind": "original",
"state": "reserved",
"declaredContentType": "string",
"detectedContentType": "string",
"detectedFormat": "string",
"family": "image",
"byteSize": 0,
"sha256": "string",
"width": 1,
"height": 1,
"durationMs": 0,
"pageCount": 1,
"isAnimated": true,
"processorId": "string",
"processorVersion": "string",
"recipeJson": "string",
"failureCode": "string",
"failureMessage": "string",
"createdAt": 0,
"updatedAt": 0
}
]
}
],
"restorableAssetIds": [
"string"
],
"nextCursor": "string",
"total": 0,
"trashCount": 0,
"retentionMs": 0
}